package java.rmi.activation;

import java.rmi.MarshalledObject;
import java.rmi.RemoteException;
import java.rmi.Remote;

public interface ActivationMonitor extends Remote
{
    public abstract void inactiveObject(ActivationID p0) throws UnknownObjectException, RemoteException;
    
    public abstract void activeObject(ActivationID p0, MarshalledObject<? extends Remote> p1) throws UnknownObjectException, RemoteException;
    
    public abstract void inactiveGroup(ActivationGroupID p0, long p1) throws UnknownGroupException, RemoteException;
}
